wxRuby Documentation Home

# Wx::GCDC

GCDC is a Device Context that supports anti-aliased drawing
and semi-transparent colours on all platforms. It is somewhat slower
than normal device contexts, so it is not enabled by default (except on
OS X). It is used by taking a normal WindowDC and creating a GCDC from it.

GraphicsContext and associated classes provides a
more advanced interface to the native anti-aliased drawing features.

## Derived from

DC

## See also

DC, MemoryDC, PaintDC,
ClientDC, ScreenDC

## Methods

- GCDC.new

### GCDC.new

GCDC.new(%(arg-type)WindowDC% windowdc)

Constructs an anti-aliased drawing surface from a normal
WindowDC, typically within an on_paint handler.

GCDC.new(%(arg-type)WindowDC% memorydc)

Windows only: constructs an anti-aliased drawing surface for drawing on
a bitmap in memory.

[This page automatically generated from the Textile source at 2023-06-09 00:45:29 +0000]